Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZWordToImageOperator Class Reference

The class eZWordToImageOperator does. More...

## Public Member Functions
| __construct ()
| operatorList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators
| $IconInfo

## Private Member Functions
| iconDirectMapping (&$ini, &$themeINI, $iniGroup, $mapName, $matchItem)
| iconGroupMapping (&$ini, &$themeINI, $iniGroup, $mapName, $matchItem)

## Detailed Description

The class eZWordToImageOperator does.

Definition at line 16 of file ezwordtoimageoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZWordToImageOperator::__construct | ( |  | ) |

Constructor

Definition at line 21 of file ezwordtoimageoperator.php.

## Member Function Documentation

## ◆ iconDirectMapping()

eZWordToImageOperator::iconDirectMapping | ( | & | $ini,
|  | & | $themeINI,
|  |  | $iniGroup,
|  |  | $mapName,
|  |  | $matchItem
| ) |  |
| private

Tries to find icon file by considering $matchItem as a single value.

It will first try to match the whole $matchItem value in the mapping table.

Returns
  The relative path to the icon file.

Example

$icon = $this->iconDirectMapping( $ini, $themeINI, 'ClassIcons', 'ClassMap', 'Folder' );
eZWordToImageOperator\iconDirectMapping
iconDirectMapping(&$ini, &$themeINI, $iniGroup, $mapName, $matchItem)
Definition: ezwordtoimageoperator.php:387

See also
  iconGroupMapping

Definition at line 387 of file ezwordtoimageoperator.php.

Referenced by modify().

## ◆ iconGroupMapping()

eZWordToImageOperator::iconGroupMapping | ( | & | $ini,
|  | & | $themeINI,
|  |  | $iniGroup,
|  |  | $mapName,
|  |  | $matchItem
| ) |  |
| private

Tries to find icon file by considering $matchItem as a group, split into two parts and separated by a slash.

It will first try to match the whole $matchItem value and then the group name.

Returns
  The relative path to the icon file.

Example

$icon = $this->iconGroupMapping( $ini, $themeINI, 'MimeIcons', 'MimeMap', 'image/jpeg' );
eZWordToImageOperator\iconGroupMapping
iconGroupMapping(&$ini, &$themeINI, $iniGroup, $mapName, $matchItem)
Definition: ezwordtoimageoperator.php:436

See also
  iconDirectMapping

Definition at line 436 of file ezwordtoimageoperator.php.

Referenced by modify().

## ◆ modify()

eZWordToImageOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 37 of file ezwordtoimageoperator.php.

References iconDirectMapping(), iconGroupMapping(), eZDebug\writeError(), and eZSys\wwwDir().

## ◆ operatorList()

eZWordToImageOperator::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 32 of file ezwordtoimageoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $IconInfo

eZWordToImageOperator::$IconInfo

Definition at line 486 of file ezwordtoimageoperator.php.

## ◆ $Operators

eZWordToImageOperator::$Operators

Definition at line 485 of file ezwordtoimageoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezwordtoimageoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.